import { ModelMetadataCollection } from "../collections/model-metadata";
import { FieldMetadataCollection } from "../collections/field-metadata";
import { OdooModelMetadata } from "./model-metadata";
import { OdooFieldMetadata } from "./field-metadata";

export class MetadataStorage {

    readonly models = new ModelMetadataCollection<OdooModelMetadata>();
    readonly fields = new FieldMetadataCollection<OdooFieldMetadata>();

    /**
     *
     */
    getModels(models?: Function[]) {
        return this.models;
    }
}